#pragma once

// Note: This file contains an enum for all the sound files.
//		 The enum names are the sound file names for each value.
// Note: Some files are used more than once. The name of the file
//		 is associated with the first soundID which references
//		 that file. Repeated occurances are listed as commented
//		 lines.


enum SoundID
{
	sndBld_fal3		= 0,
	sndBld_fal1		= 1,
	sndBld_fal2		= 2,
	sndBld_make		= 3,
	sndAg_sel		= 4,
	sndTokamsel		= 5,
	sndPantheon		= 6,
	sndCommsel		= 7,
	sndDirt			= 8,
	sndFac_andr		= 9,
	sndFac_cons		= 10,
	sndFac_sel		= 11,
//	sndFac_sel		= 12,
	sndGar_sel		= 13,
	sndGeo_sel		= 14,
	sndGorf			= 15,
	sndGuardsel		= 16,
	sndLab_3		= 17,
	sndLab_1		= 18,
	sndLab_2		= 19,
	sndLight		= 20,
	sndMag_sel		= 21,
	sndMedisel		= 22,
//	sndDirt			= 23,
	sndMine_1		= 24,
	sndMine_2		= 25,
	sndNur_sel		= 26,
	sndObservat		= 27,
	sndRec_fac		= 28,
	sndRes1_sel		= 29,
	sndRes2_sel		= 30,
	sndRes3_sel		= 31,
	sndRobosel		= 32,
	sndSmelter1		= 33,
//	sndSmelter1		= 34,
//	sndTokamsel		= 35,
	sndSpaceprt		= 36,
	sndStorage1		= 37,
	sndStorage2		= 38,
//	sndTokamsel		= 39,
//	sndPantheon		= 40,
	sndUni_sel		= 41,
	sndConsvhc		= 42,
	sndDozr_sel		= 43,
	sndEvac_trn		= 44,
	sndEarthwrk		= 45,
	sndRobot4		= 46,
	sndSpidsel		= 47,
	sndInfantry		= 48,
	sndRepvhc		= 49,
	sndRobmine		= 50,
	sndRobsurv		= 51,
	sndScout		= 52,
	sndCombhev		= 53,
	sndComblit		= 54,
	sndCombmed		= 55,
	sndTruk_sel		= 56,
	sndBld_exp		= 57,
	sndUni_grad		= 58,
	sndTokaexp		= 59,
	sndGeyser		= 60,
	sndGar_doc		= 61,
	sndDoc_dor1		= 62,
	sndDoc_dor2		= 63,
	sndDoc_grab		= 64,
	sndSulv			= 65,
	sndRobdep		= 66,
	sndReprep		= 67,
	sndConsrep		= 68,
	sndDump			= 69,
	sndMicwarn		= 70,
	sndMicfire		= 71,
	sndBigexp1		= 72,
	sndBigexp2		= 73,
	sndBigexp3		= 74,
	sndMedexp1		= 75,
	sndMedexp2		= 76,
	sndSmalxp1		= 77,
	sndSmalxp2		= 78,
	sndSmalxp3		= 79,
	sndQuake		= 80,
	sndTornado2		= 81,
	sndThunder		= 82,
	sndMicrobe		= 83,
	sndFuse			= 84,
	sndBeep2		= 85,
//	sndBeep2		= 86,
	sndBeep5		= 87,
	sndBld_not		= 88,
	sndBeep6		= 89,
	sndBeep9		= 90,
	sndBeep8		= 91,
//	sndBeep5		= 92,
	sndMessage2		= 93,
	sndSavnt212		= 94, 	// "Structure completed"
	sndSavant2		= 95, 	// "Research completed"
	sndSavant3		= 96, 	// "Our colony is under attack"
	sndSavant4		= 97, 	// "We are under attack"
	sndSavant6		= 98, 	// "Vehicle ready"
	sndSavant7		= 99, 	// "Consumer items completed"
	sndSavant8		= 100, 	// "Structure kit manufactured"
	sndSavant9		= 101, 	// "Spider ready"
	sndSavant10		= 102, 	// "Scorpion ready"
	sndSavant11		= 103, 	// "Structure destroyed"
	sndSavnt206		= 104, 	// "Vehicle destroyed"
	sndSavant13		= 105, 	// "Database reconstructed"
	sndSavant14		= 106, 	// "Enemy unit sighted"
	sndSavant15		= 107, 	// "Vehicle repaired"
	sndSavnt204		= 108, 	// "Structure repaired"
	sndSavant17		= 109, 	// "Warning, missile launch detected"
	sndSavant18		= 110, 	// "Warning, incomming missile"
	sndSavant19		= 111, 	// "Morale is excellent"
	sndSavant20		= 112, 	// "Morale is good"
	sndSavant21		= 113, 	// "Morale is fair"
	sndSavant22		= 114, 	// "Morale is poor"
	sndSavant23		= 115, 	// "Morale is terrible"
	sndSavant24		= 116, 	// "Food production in surplus"
	sndSavant25		= 117, 	// "Caution, food storage diminishing"
	sndSavant26		= 118, 	// "Warning, people are starving"
	sndSavant27		= 119, 	// "Power levels optimal"
	sndSavant28		= 120, 	// "Warning, power levels marginal"
	sndSavant29		= 121, 	// "Warning, power shortage"
	sndSavant30		= 122, 	// "New mission objective"
	sndSavant32		= 123, 	// "Edward satellite deployed"
	sndSavant33		= 124, 	// "Solar power satellite deployed"
	sndSavant46		= 125, 	// "Rocket launched"
	sndSavant47		= 126, 	// "RLV launched"
	sndSavant48		= 127, 	// "RLV ready"
	sndSavant49		= 128, 	// "Rocket ready"
	sndSavnt221		= 129, 	// "Common metals storage needed"
	sndSavant51		= 130, 	// "Rare metal storage needed"
	sndSavant53		= 131, 	// "New worker ready"
	sndSavant58		= 132, 	// "Our people are dying"
	sndSavnt202		= 133, 	// "Structure disabled"
	sndSavnt227		= 134, 	// (Beep) "You have failed, our colony is doomed"
	sndSavant65		= 135, 	// (Beep) "You have done well, our colony is surviving"
	sndSavant66		= 136, 	// "Caution, volcanoe watch initiated"
	sndSavant67		= 137, 	// "Alert, volcanic eruption imminent"
	sndSavant68		= 138, 	// "Warning, volcanic eruption detected"
	sndSavant69		= 139, 	// "Caution, vortex watch initiated"
	sndSavant70		= 140, 	// "Alert, vortex imminent"
	sndSavant71		= 141, 	// "Warning, vortex detected"
	sndSavant72		= 142, 	// "Caution, electrical storm watch initiated"
	sndSavant73		= 143, 	// "Alert, electrical storm imminent"
	sndSavant74		= 144, 	// "Warning, electrical storm detected"
	sndSavant75		= 145, 	// "Caution, meteor watch initiated"
	sndSavant76		= 146, 	// "Alert, meteor impact imminent"
	sndSavant77		= 147, 	// "Warning, meteor approaching"
	sndSavant78		= 148, 	// "Caution, seismic watch initiated"
	sndSavant79		= 149, 	// "Alert, seismic event imminent"
	sndSavant80		= 150, 	// "Warning, seismic event detected"
	sndSavant93		= 151, 	// "Wreckage located"
	sndSavnt278		= 152, 	// "The blight is approching"
	sndSavnt207		= 153, 	// "Damage warning"
	sndSavant96		= 154, 	// "Mining location surveyed"
	sndSavant97		= 155, 	// "Cannot deploy"
	sndSavant98		= 156, 	// "Command control initiated"
	sndSavant99		= 157, 	// "Savant series computer activated, Outpost2 demo initiated, please choose an option"
	sndSavnt100		= 158, 	// "Can not comply"
	sndSavnt101		= 159, 	// "Commander, a volcanic eruption is imminent, evacuate the colony and rendevous at the mining beacon north of our location"
	sndSavnt201		= 160, 	// "Data transmitted"
	sndSavnt203		= 161, 	// "Structures disabled"
	sndSavnt205		= 162, 	// "Reinforcements ready"
	sndSavnt208		= 163, 	// "Wall completed"
	sndSavnt209		= 164, 	// "Tube completed"
	sndSavnt210		= 165, 	// "Bulldozing completed"
	sndSavnt211		= 166, 	// "Vehicle infected"
	sndSavnt213		= 167, 	// "Structure lost"
	sndSavnt214		= 168, 	// "Vehicle lost"
	sndSavnt215		= 169, 	// "Vehicle captured"
	sndSavnt216		= 170, 	// "Repair stopped"
	sndSavnt218		= 171, 	// "Outpost2 demo mode initiated"
	sndSavnt219		= 172, 	// "Please stand by"
	sndSavnt220		= 173, 	// "Command control terminated"
	sndSavnt223		= 174, 	// "Starship module manufactured"
	sndSavnt224		= 175, 	// "Satellite manufactured"
	sndSavnt225		= 176, 	// "Wreckage loaded"
	sndSavnt226		= 177, 	// "Food stores are plentiful"
	sndSavnt228		= 178, 	// "Alliance formed with player1"
	sndSavnt229		= 179, 	// "Alliance formed with player2"
	sndSavnt230		= 180, 	// "Alliance formed with player3"
	sndSavnt231		= 181, 	// "Alliance formed with player4"
	sndSavnt232		= 182, 	// "Alliance formed with player5"
	sndSavnt233		= 183, 	// "Alliance formed with player6"
	sndSavnt234		= 184, 	// "Alliance with player1 broken"
	sndSavnt235		= 185, 	// "Alliance with player2 broken"
	sndSavnt236		= 186, 	// "Alliance with player3 broken"
	sndSavnt237		= 187, 	// "Alliance with player4 broken"
	sndSavnt238		= 188, 	// "Alliance with player5 broken"
	sndSavnt239		= 189, 	// "Alliance with player6 broken"
	sndSavnt240		= 190, 	// "Transfer to player1 complete"
	sndSavnt241		= 191, 	// "Transfer to player2 complete"
	sndSavnt242		= 192, 	// "Transfer to player3 complete"
	sndSavnt243		= 193, 	// "Transfer to player4 complete"
	sndSavnt244		= 194, 	// "Transfer to player5 complete"
	sndSavnt245		= 195, 	// "Transfer to player6 complete"
	sndSavnt246		= 196, 	// "Transfer received from player1"
	sndSavnt247		= 197, 	// "Transfer received from player2"
	sndSavnt248		= 198, 	// "Transfer received from player3"
	sndSavnt249		= 199, 	// "Transfer received from player4"
	sndSavnt250		= 200, 	// "Transfer received from player5"
	sndSavnt251		= 201, 	// "Transfer received from player6"
	sndSavnt252		= 202, 	// "Player1 has allied with you"
	sndSavnt253		= 203, 	// "Player2 has allied with you"
	sndSavnt254		= 204, 	// "Player3 has allied with you"
	sndSavnt255		= 205, 	// "Player4 has allied with you"
	sndSavnt256		= 206, 	// "Player5 has allied with you"
	sndSavnt257		= 207, 	// "Player6 has allied with you"
	sndSavnt258		= 208, 	// "Player1 has broken the alliance"
	sndSavnt259		= 209, 	// "Player2 has broken the alliance"
	sndSavnt260		= 210, 	// "Player3 has broken the alliance"
	sndSavnt261		= 211, 	// "Player4 has broken the alliance"
	sndSavnt262		= 212, 	// "Player5 has broken the alliance"
	sndSavnt263		= 213, 	// "Player6 has broken the alliance"
	sndSavnt264		= 214, 	// "Ion drive module deployed"
	sndSavnt265		= 215, 	// "Fusion drive module deployed"
	sndSavnt266		= 216, 	// "Command module deployed"
	sndSavnt267		= 217, 	// "Fueling systems deployed"
	sndSavnt268		= 218, 	// "Habitat ring deployed"
	sndSavnt269		= 219, 	// "Sensor package deployed"
	sndSavnt270		= 220, 	// "Skydock operational"
	sndSavnt271		= 221, 	// "Statis systems deployed"
	sndSavnt272		= 222, 	// "Orbital package deployed"
	sndSavnt273		= 223, 	// "Pheonix module deployed"
	sndSavnt274		= 224, 	// "Rare metals storage module deployed"
	sndSavnt275		= 225, 	// "Common metals storage module deployed"
	sndSavnt276		= 226, 	// "Food storage module deployed"
	sndSavnt277		= 227, 	// "Colonist evacuation module deployed"
	sndMis_fire		= 228,
	sndAcid2		= 229,
//	sndMis_fire		= 230,
//	sndGeo_sel		= 231,
	sndLaser		= 232,
//	sndMedexp1		= 233,
	sndMicrowve		= 234,
//	sndMedexp1		= 235,
	sndRailfir		= 236,
	sndRailtar		= 237,
//	sndBigexp1		= 238,
//	sndBigexp2		= 239,
//	sndMis_fire		= 240,
	sndSpam1		= 241,
//	sndMis_fire		= 242,
	sndFoam			= 243,
	sndThor			= 244,
//	sndMedexp1		= 245,
//	sndMis_fire		= 246,
//	sndMedexp2		= 247,
//	sndLaser		= 248,
//	sndSmalxp1		= 249,
	sndGun1			= 250,
//	sndMedexp1		= 251
};

